// -- Table styles ----------------------------------------------------

.table {
  width: 100%;
  background: white;

  .tr {
    width: 100%;
    border: 1px solid $tbl-border-color;
    border-bottom: 1px solid transparent;
    @include transition(all 1s ease);

    div:after {
      content: '';
      display: table;
      clear: both;
    }
  }
  .td, .th  {
    padding: 8px;
    border: none;
    display: inline-block;
    text-align: left;
  }
  .tr:nth-child(2n-1), .tr:nth-child(2n-1) .td {
    background-color: $cell-bg-color;
  }

  // -- Table header ----------------------------------------------------

  .thead {
    background: $th-bg-color;
    .tr {
      background: $th-bg-color;
      @include border-top-radius(4px);
    }
    .th {
      font-weight: $regular;
      color: $th-color;
      text-transform: uppercase;
      letter-spacing: 2px;
      background: transparent;
    }
  }

  // -- Table body ----------------------------------------------------

  .tbody {
    background: transparent;

    .tr {
      &:hover {
        border: 1px solid $tbl-border-color-hover !important;
      }
      &:after {
        content: '';
        display: table;
        clear: both;
      }
      &:first-child {
        @include border-top-radius(4px);
        @include breakpoint(small) { @include border-top-radius(0px); }
      }
      &:last-child {
        @include border-bottom-radius(4px);
        border-bottom: 1px solid $tbl-border-color;
      }
    }
  }
}